houdini python scripting + fedora 11 [Solved]

   3361   0   0
User Avatar
Member
17 posts
Joined: July 2006
Offline
Hi all,

Since Fedora 11 default python version is 2.6, I have compiled python2.5 (defaulted to /usr/local folders) in order to compile wxPython and PyQt against it. Now that I have successfuly got all the files to compile correctly, I just realized from browsing the forum here, that Houdini only supports ansi version of the toolkit. Is there any documentation anywhere on how to disable unicode when compiling the two toolkits? Now every time the toolkit library is called, I'll encounter either PyUnicodeUCS2_AsLatin1String or PyUnicodeUCS2_FromEncodedObject from the library.

TIA, really really appreciate it.

Best Regards,
Faizol


EDIT: This is how I solved it, the source code has to be compiled with unicode=ucs2 flag. Also the wx version that has to be copied into houdini's python folder is the unicode version.
  • Quick Links